<template>
  <div
    class="col-sm-12 col-md-6 auth-bg-left align-items-center justify-content-center"
  >
    <div class="h-100 d-flex align-items-center flex-column">
      <div class="logo-container p-4">
        <img src="@/assets/img/logo.png" alt="Main Logo" style="height: 50px" />
      </div>
      <div class="form-container mt-4 p-4">
        <div class="form-head d-flex align-items-center">
          <!-- <img src="@/assets/img/profile-img.png" alt="Profile Image" /> -->
          <div class="">
            <h2 class="fw-bold">Open an Account</h2>
          </div>
        </div>
        <div class="progress my-4" style="height: 3px">
          <div
            class="progress-bar bg-primary"
            role="progressbar"
            style="width: 45%"
          ></div>
        </div>
        <div class="form-meta mb-3">
          <h4 class="fw-bold">BVN Verification</h4>
          <p>
            Enter your BVN for verification before proceeding with the opening
            of the account
          </p>
        </div>
        <form @submit.prevent="submitForm()">
          <div class="form-group">
            <div class="form-input mb-3">
              <label for="formBVN">BVN</label>
              <input
                type="text"
                class="form-control"
                id="formBVN"
                placeholder="Enter BVN"
                v-model="form.email"
                v-validate="'required'"
                name="BVN"
              />
              <!-- <div v-show="errors.has('BVN')" class="invalid-feedback">
                {{ errors.first('BVN') }}
              </div> -->
            </div>
          </div>
          <div class="mt-5">
            <button
              class="btn btn-primary w-100 fw-bold rounded-pill py-2"
              type="button"
              :disabled="form.loading"
            >
              <img
                v-if="form.loading"
                src="~@/assets/loading/loading.svg"
                class="mr-2"
              />
              <span v-else> Next </span>
            </button>
            <div class="my-3 text-center">
              <a href="#" class="fw-bold text-decoration-none"> Skip </a>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'open-account-layout',
  data: () => ({
    form: {
      email: 'carol@gmail.com',
      password: '* * * * * *',
      loading: false,
    },
  }),
  methods: {
    submitForm() {
      console.log(this.form)
      this.$validator.validateAll().then((result) => {
        if (result) {
          // eslint-disable-next-line
          this.form.loading = true
          const data = {
            ...this.form,
          }
          this.$axios
            .post('auth/customers/login', data)
            .then(({ data }) => {
              console.log(data)
              this.form.loading = false
              this.$store.commit('auth/SET_DATA', data.data)
              this.$store.commit('auth/SET_TOKEN', data.token)
              this.$store.commit('SET_TOKEN', data.token)
              window.location = '/user/dashboard/overview'
              // this.$router.push("/dashboard");
              // return
            })
            .catch((error) => {
              console.log(error)
              this.form.loading = false
              this.form.loading = false
              if (
                error.response.status === 404 ||
                error.response.status === 401 ||
                error.response.status === 403 ||
                error.response.status === 406
              ) {
                this.$notify({
                  message: error.response.data.error.message,
                  multiLine: true,
                  type: 'error',
                })
              }
            })
        }
      })
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
